package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HousingDistrict;


/**
*  service接口类
*/
public interface HousingDistrictService{

    List<HousingDistrict> getHousingDistrictList(HousingDistrict record);

    List<HousingDistrict> getHousingDistrictByPage(Page page, HousingDistrict record);

    HousingDistrict getHousingDistrictById(String id);

    HousingDistrict getHousingDistrict(HousingDistrict record);

    boolean createHousingDistrict(HousingDistrict record);

    boolean deleteHousingDistrict(String id);

    boolean updateHousingDistrict(HousingDistrict record);
}

